<div class="user-list">
    <h2>Liste des utilisateurs</h2>
    <table class="table">
        <thead>
            <tr>
                <th>ID</th>
                <th>Avatar</th>
                <th>Prénom</th>
                <th>Nom</th>
                <th>Email</th>
                <th>Date de naissance</th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            <tr *ngFor="let user of users$ | async">
                <td><a [routerLink]="['/admin/users', user.id, 'edit']">{{ user.id}}</a></td>
                <td class="avatar"><img [src]="user.avatarUrl" [alt]="user.firstName"></td>
                <td>{{ user.firstName}} </td>
                <td>{{ user.lastName}} </td>
                <td>{{ user.email}} </td>
                <td>{{ user.birthDay | date }} </td>
                <td>
                    <div class="actions">
                        <button (click)="deleteUser(user)">Delete</button>
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
</div>